Read before updating to Leopard

By | October 29, 2007

If you use any software made by Unsanity, or you use a Logitech mouse, you NEED to read this post over at Daring Fireball BEFORE you upgrade to Mac OSX 10.5, Leopard. It may save you a lot of hassle.

Comments are closed.